Bug 181325 - extensions won't install on thunderbird
extensions won't install on thunderbird
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2006-02-13 09:32 EST by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-02 14:58:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2006-02-13 09:32:40 EST
[03:35 PM][awjb@alkaid ~]$ rpm -q thunderbird

When trying to install enigmail I get this error:
"Enigmail" could not be installed because it is not compatible with your
Thunderbird build type (Linux_unknownABI).
Comment 1 Christopher Aillon 2006-03-01 13:31:28 EST
Is this just enigmail?  I think the problem is that enigmail installs
pre-compiled object files (gcc 3.x?) which probably aren't compatible with the
gcc ABI we ship with.
Comment 2 Andreas Bierfert 2006-03-02 03:42:52 EST
Hm others are doing ok (like the provides langpack stuff) so I guess that could
be  because of precompiled stuff... Now with this new version is there an easy
way to package extension in FE e.g.?
Comment 3 Ray Strode [halfline] 2006-03-02 14:44:51 EST
Taking off blocker list...
Comment 4 Christopher Aillon 2006-03-02 14:58:18 EST
It's not as good as I'd like yet, but basically stick the extension into
$THUNDERBIRD_DIR/extensions.  It should just work.  Only problem is that it will
be a pain with upgrading thunderbird...

Closing NOTABUG I suppose, since I'm not sure what else we could do.
Comment 5 Andreas Bierfert 2006-03-02 16:13:18 EST
Ok thanks... will see if I can get a package together ...

Note You need to log in before you can comment on or make changes to this bug.